package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonVip;
import com.ruoyi.system.domain.task.TkCommonVipExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonVipMapper {
    long countByExample(TkCommonVipExample example);

    int deleteByExample(TkCommonVipExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonVip record);

    int insertSelective(TkCommonVip record);

    List<TkCommonVip> selectByExample(TkCommonVipExample example);

    TkCommonVip selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonVip record, @Param("example") TkCommonVipExample example);

    int updateByExample(@Param("record") TkCommonVip record, @Param("example") TkCommonVipExample example);

    int updateByPrimaryKeySelective(TkCommonVip record);

    int updateByPrimaryKey(TkCommonVip record);
}